Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetWebAppLinkUrl

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.HttpUrl>
it.tdlight.jni.TdApi.GetWebAppLinkUrl

Enclosing class:
  TdApi

public static final class TdApi.GetWebAppLinkUrl extends TdApi.Function<TdApi.HttpUrl>
Returns an HTTPS URL of a Web App to open after a link of the type internalLinkTypeWebApp is clicked.

Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowWriteAccess`
Pass true if the current user allowed the bot to send them messages.
`String`
`applicationName`
Short name of the application; 0-64 English letters, digits, and underscores.
`long`
`botUserId`
Identifier of the target bot.
`long`
`chatId`
Identifier of the chat in which the link was clicked; pass 0 if none.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`startParameter`
Start parameter from internalLinkTypeWebApp.
`TdApi.ThemeParameters`
`theme`
Preferred Web App theme; pass null to use the default theme.
`String`
`webAppShortName`
Short name of the Web App.

## Constructor Summary

Constructors
Constructor
Description
`GetWebAppLinkUrl()`
Returns an HTTPS URL of a Web App to open after a link of the type internalLinkTypeWebApp is clicked.
`GetWebAppLinkUrl(long chatId, long botUserId, String webAppShortName, String startParameter, TdApi.ThemeParameters theme, String applicationName, boolean allowWriteAccess)`
Returns an HTTPS URL of a Web App to open after a link of the type internalLinkTypeWebApp is clicked.
`GetWebAppLinkUrl(DataInput input)`
Returns an HTTPS URL of a Web App to open after a link of the type internalLinkTypeWebApp is clicked.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat in which the link was clicked; pass 0 if none.

### botUserId

public long botUserId
Identifier of the target bot.

### webAppShortName

public String webAppShortName
Short name of the Web App.

### startParameter

public String startParameter
Start parameter from internalLinkTypeWebApp.

### theme

public TdApi.ThemeParameters theme
Preferred Web App theme; pass null to use the default theme.

### applicationName

public String applicationName
Short name of the application; 0-64 English letters, digits, and underscores.

### allowWriteAccess

public boolean allowWriteAccess
Pass true if the current user allowed the bot to send them messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetWebAppLinkUrl

public GetWebAppLinkUrl()
Returns an HTTPS URL of a Web App to open after a link of the type internalLinkTypeWebApp is clicked.

Returns `HttpUrl`

### GetWebAppLinkUrl

public GetWebAppLinkUrl(long chatId, long botUserId, String webAppShortName, String startParameter, TdApi.ThemeParameters theme, String applicationName, boolean allowWriteAccess)
Returns an HTTPS URL of a Web App to open after a link of the type internalLinkTypeWebApp is clicked.

Returns `HttpUrl`

Parameters:
  `chatId` - Identifier of the chat in which the link was clicked; pass 0 if none.
  `botUserId` - Identifier of the target bot.
  `webAppShortName` - Short name of the Web App.
  `startParameter` - Start parameter from internalLinkTypeWebApp.
  `theme` - Preferred Web App theme; pass null to use the default theme.
  `applicationName` - Short name of the application; 0-64 English letters, digits, and underscores.
  `allowWriteAccess` - Pass true if the current user allowed the bot to send them messages.

  Returns `HttpUrl`

### GetWebAppLinkUrl

public GetWebAppLinkUrl(DataInput input) throws IOException
Returns an HTTPS URL of a Web App to open after a link of the type internalLinkTypeWebApp is clicked.

Returns `HttpUrl`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`